<template>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-6">
        <div class="card">
          <div class="card-header">
            <h3 class="mb-0">Register</h3>
          </div>
          <div class="card-body">
            <div class="form-group mb-2">
              <label class="form-label" for="name">Name</label>
              <input type="text" class="form-control" name="name" id="name" v-model="name" required>
            </div>
            <div class="form-group mb-2">
              <label class="form-label" for="email">Email</label>
              <input type="email" class="form-control" name="email" id="email" v-model="email" required>
            </div>
            <div class="form-group mb-2">
              <label class="form-label" for="username">Username</label>
              <input type="text" class="form-control" name="username" id="username" v-model="username" required>
            </div>
            <div class="form-group mb-2">
              <label class="form-label" for="password">Password</label>
              <input type="password" class="form-control" name="password" id="password" v-model="password" required>
            </div>
            <div class="form-group mb-2">
              <button type="button" @click="registerUser()" class="btn btn-primary">Register</button>
              <router-link class="m-3" to="/">Back</router-link>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from '../config/axios'

export default {
  name: 'Register',
  data(){
    return {
      name: '',
      email: '',
      username: '',
      password: ''
    }
  },
  methods:{
    async registerUser() {
      const payload = {
        name: this.name,
        email: this.email,
        username: this.username,
        password: this.password
      }
      const response = await axios.post('/register', payload)

      if (response.data.status === 'success') {
        console.log(response.data)
      } else {
        console.log(response.data)
      }
    }
  }
}
</script>